std::thread Class Reference
Concurrency » Threads

## Classes

class | id

## Public Types

using | _State_ptr = unique_ptr< _State >
typedef __gthread_t | native_handle_type

## Public Member Functions

template<typename _Callable , typename... _Args, typename = _Require<__not_same<_Callable>>>
| thread (_Callable &&__f, _Args &&... __args)
| thread (const thread &)=delete
| thread (thread &&__t) noexcept
void | detach ()
thread::id | get_id () const noexcept
void | join ()
bool | joinable () const noexcept
native_handle_type | native_handle ()
thread & | operator= (const thread &)=delete
thread & | operator= (thread &&__t) noexcept
void | swap (thread &__t) noexcept

## Static Public Member Functions

template<typename _Callable , typename... _Args>
static _Invoker< __decayed_tuple< _Callable, _Args... > > | __make_invoker (_Callable &&__callable, _Args &&... __args)
static unsigned int | hardware_concurrency () noexcept

## Detailed Description

thread

Definition at line 62 of file thread.

## Member Function Documentation

## native_handle()

native_handle_type std::thread::native_handle | ( |  | ) |

inline

Precondition
  thread is joinable

Definition at line 178 of file thread.

The documentation for this class was generated from the following file:

- thread